# Get cluster policy compliance

Launch stage: GA

`GET /api/2.0/policies/clusters/get-compliance`

Returns the policy compliance status of a cluster. Clusters could be out
 of compliance if their policy was updated after the cluster was last edited.

API scopes: clusters

## Query parameters

- `cluster_id` (string, required)
  The ID of the cluster to get the compliance status

## Returns

Returns the GetPolicyComplianceForClusterResponse object.

## Response

```json
{
  "is_compliant": true,
  "violations": {
    "custom_tags.test_tag": "Validation failed for custom_tags.test_tag, the value cannot be present"
  },
  "pending_enforcement": {
    "target_spec": {},
    "initiate_time": "string",
    "enforcement_status": "ACTIVE",
    "target_changes": [
      {}
    ],
    "initiator_user": "string"
  }
}
```

